#include "intuition/intuition.h"

/****************************************************/
/*						    */
/* Most of the structures in this file were created */
/*	      with PowerWindows 2.5, by:	    */
/*						    */
/*		Inovatronics, Inc.		    */
/*		11311 Stemmons Freeway		    */
/*		Dallas, TX  75229		    */
/*		(214) 241-9515                      */
/*						    */
/****************************************************/

USHORT GadgetDownData[] = {
	0xFFFF,0x8001,0x8181,0x8181,0x87E1,0x83C1,0x8181,0x8001,
	0xFFFF
};

struct Image GadgetDown = {
	0,0,	/* XY origin relative to container TopLeft */
	16,9,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	GadgetDownData,     /* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

USHORT GadgetUpData[] = {
	0xFFFF,0x8001,0x8181,0x83C1,0x87E1,0x8181,0x8181,0x8001,
	0xFFFF
};

struct Image GadgetUp = {
	0,0,	/* XY origin relative to container TopLeft */
	16,9,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	GadgetUpData,	  /* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct NewScreen NewScreenStructure = {
	0,0,	/* screen XY origin relative to View */
	640,200,	/* screen width and height */
	2,	/* screen depth (number of bitplanes) */
	0,1,	/* detail and block pens */
	HIRES,	/* display modes for this screen */
	CUSTOMSCREEN,	/* screen type */
	NULL,	/* pointer to default screen font */
	"ShowFont 4.0  1989 by Arthur Johnson Jr.",    /* screen title */
	NULL,	/* first in list of custom screen gadgets */
	NULL	/* pointer to custom BitMap structure */
};

struct PropInfo PropSInfo = {
	AUTOKNOB+FREEVERT,	/* PropInfo flags */
	-1,-1,	/* horizontal and vertical pot values */
	-1,-1,	/* horizontal and vertical body values */
};

struct Image Image1 = {
	0,0,	/* XY origin relative to container TopLeft */
	8,167,	/* Image width and height in pixels */
	0,	/* number of bitplanes in Image */
	NULL,	/* pointer to ImageData */
	0x0000,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget Prop = {
	NULL,	/* next gadget */
	-18,19, /* origin XY of hit box relative to window TopLeft */
	16,-29, /* hit box width and height */
	GRELRIGHT+GRELHEIGHT,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	PROPGADGET,	/* gadget type flags */
	(APTR)&Image1,  /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	(APTR)&PropSInfo,       /* SpecialInfo structure */
	2,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct Gadget Down = {
	&Prop,	/* next gadget */
	-18,-9, /* origin XY of hit box relative to window TopLeft */
	18,9,	/* hit box width and height */
	GADGIMAGE+GRELBOTTOM+GRELRIGHT, /* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&GadgetDown,  /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	3,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct Gadget Up = {
	&Down,	/* next gadget */
	-18,10, /* origin XY of hit box relative to window TopLeft */
	18,9,	/* hit box width and height */
	GADGIMAGE+GRELRIGHT,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&GadgetUp,  /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	1,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct IntuiText IText1 = {
	3,1,COMPLEMENT, /* front and back text pens, drawmode and fill byte */
	0,0,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"Screen Format",        /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct MenuItem MenuItem1 = {
	NULL,	/* next MenuItem structure */
	0,0,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	144,8,	/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText1,  /* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	'S',    /* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

struct Menu Menu3 = {
	NULL,	/* next Menu structure */
	124,0,	/* XY origin of Menu hit box relative to screen TopLeft */
	55,0,	/* Menu hit box width and height */
	MENUENABLED,	/* Menu flags */
	"Screen",       /* text of Menu name */
	&MenuItem1	/* MenuItem linked list pointer */
};

struct IntuiText IText2 = {
	3,1,COMPLEMENT, /* front and back text pens, drawmode and fill byte */
	0,0,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"Font Selection",       /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct MenuItem MenuItem3 = {
	NULL,	/* next MenuItem structure */
	0,9,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	176,8,	/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText2,  /* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	'F',    /* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

struct IntuiText IText3 = {
	3,1,COMPLEMENT, /* front and back text pens, drawmode and fill byte */
	0,0,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"Change FONTS: dir",    /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct MenuItem MenuItem2 = {
	&MenuItem3,	/* next MenuItem structure */
	0,0,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	176,8,	/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText3,  /* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	'C',    /* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

struct Menu Menu2 = {
	&Menu3, /* next Menu structure */
	70,0,	/* XY origin of Menu hit box relative to screen TopLeft */
	47,0,	/* Menu hit box width and height */
	MENUENABLED,	/* Menu flags */
	"Fonts",        /* text of Menu name */
	&MenuItem2	/* MenuItem linked list pointer */
};

struct IntuiText IText4 = {
	3,1,COMPLEMENT, /* front and back text pens, drawmode and fill byte */
	0,0,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"Quit", /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct MenuItem MenuItem5 = {
	NULL,	/* next MenuItem structure */
	0,9,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	80,8,	/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText4,  /* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	'Q',    /* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

struct IntuiText IText5 = {
	3,1,COMPLEMENT, /* front and back text pens, drawmode and fill byte */
	0,0,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"About",        /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct MenuItem MenuItem4 = {
	&MenuItem5,	/* next MenuItem structure */
	0,0,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	80,8,	/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText5,  /* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	'A',    /* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

struct Menu Menu1 = {
	&Menu2, /* next Menu structure */
	0,0,	/* XY origin of Menu hit box relative to screen TopLeft */
	63,0,	/* Menu hit box width and height */
	MENUENABLED,	/* Menu flags */
	"Project",      /* text of Menu name */
	&MenuItem4	/* MenuItem linked list pointer */
};

struct NewWindow NewWindowStructure1 = {
	0,0,	/* window XY origin relative to TopLeft of screen */
	640,200,	/* window width and height */
	0,1,	/* detail and block pens */
	MOUSEBUTTONS+GADGETDOWN+GADGETUP+MENUPICK+CLOSEWINDOW,	/* IDCMP flags */
	WINDOWCLOSE+ACTIVATE,	/* other window flags */
	&Up,	/* first gadget in gadget list */
	NULL,	/* custom CHECKMARK imagery */
	NULL,	/* window title */
	NULL,	/* custom screen pointer */
	NULL,	/* custom bitmap */
	-1,-1,	/* minimum width and height */
	-1,-1,	/* maximum width and height */
	CUSTOMSCREEN	/* destination screen type */
};

struct Gadget FontStyleDown = {
	NULL,	/* next gadget */
	298,66, /* origin XY of hit box relative to window TopLeft */
	18,9,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&GadgetDown,      /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	33,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo FontFontStyleSInfo = {
	AUTOKNOB+FREEVERT,	/* PropInfo flags */
	-1,-1,	/* horizontal and vertical pot values */
	-1,-1,	/* horizontal and vertical body values */
};

struct Image FontImage5 = {
	0,0,	/* XY origin relative to container TopLeft */
	8,48,	/* Image width and height in pixels */
	0,	/* number of bitplanes in Image */
	NULL,	/* pointer to ImageData */
	0x0000,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget FontStyle = {
	&FontStyleDown, /* next gadget */
	298,14, /* origin XY of hit box relative to window TopLeft */
	16,52,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	PROPGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&FontImage5,      /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	(APTR)&FontFontStyleSInfo,      /* SpecialInfo structure */
	32,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct Gadget FontStyleUp = {
	&FontStyle,	/* next gadget */
	298,5,	/* origin XY of hit box relative to window TopLeft */
	18,9,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&GadgetUp,      /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	31,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

SHORT FontBorderVectors1[] = {
	0,0,
	60,0,
	60,16,
	0,16,
	0,0
};
struct Border FontBorder1 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	FontBorderVectors1,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText FontIText6 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,4,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"Cancel",       /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget FontCancel = {
	&FontStyleUp,	/* next gadget */
	194,79, /* origin XY of hit box relative to window TopLeft */
	59,15,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY+ENDGADGET,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&FontBorder1,     /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&FontIText6,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	102,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

SHORT FontBorderVectors2[] = {
	0,0,
	60,0,
	60,16,
	0,16,
	0,0
};
struct Border FontBorder2 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	FontBorderVectors2,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText FontIText7 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	20,4,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"OK",   /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget FontOK = {
	&FontCancel,	/* next gadget */
	67,79,	/* origin XY of hit box relative to window TopLeft */
	59,15,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY+ENDGADGET,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&FontBorder2,     /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&FontIText7,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	101,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct Gadget FontSizeDown = {
	&FontOK,	/* next gadget */
	232,66, /* origin XY of hit box relative to window TopLeft */
	18,9,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&GadgetDown,      /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	23,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo FontFontSizeSInfo = {
	AUTOKNOB+FREEVERT,	/* PropInfo flags */
	-1,-1,	/* horizontal and vertical pot values */
	-1,-1,	/* horizontal and vertical body values */
};

struct Image FontImage8 = {
	0,0,	/* XY origin relative to container TopLeft */
	8,48,	/* Image width and height in pixels */
	0,	/* number of bitplanes in Image */
	NULL,	/* pointer to ImageData */
	0x0000,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget FontSize = {
	&FontSizeDown,	/* next gadget */
	232,14, /* origin XY of hit box relative to window TopLeft */
	16,52,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	PROPGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&FontImage8,      /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	(APTR)&FontFontSizeSInfo,       /* SpecialInfo structure */
	22,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct Gadget FontSizeUp = {
	&FontSize,	/* next gadget */
	232,5,	/* origin XY of hit box relative to window TopLeft */
	18,9,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&GadgetUp,      /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	21,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo FontFontFontSInfo = {
	AUTOKNOB+FREEVERT,	/* PropInfo flags */
	-1,-1,	/* horizontal and vertical pot values */
	-1,-1,	/* horizontal and vertical body values */
};

struct Image FontImage10 = {
	0,0,	/* XY origin relative to container TopLeft */
	8,48,	/* Image width and height in pixels */
	0,	/* number of bitplanes in Image */
	NULL,	/* pointer to ImageData */
	0x0000,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget FontFont = {
	&FontSizeUp,	/* next gadget */
	176,14, /* origin XY of hit box relative to window TopLeft */
	16,52,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	PROPGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&FontImage10,     /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	(APTR)&FontFontFontSInfo,       /* SpecialInfo structure */
	12,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct Gadget FontFontDown = {
	&FontFont,	/* next gadget */
	176,66, /* origin XY of hit box relative to window TopLeft */
	18,9,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&GadgetDown,     /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	13,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct Gadget FontFontUp = {
	&FontFontDown,	/* next gadget */
	176,5,	/* origin XY of hit box relative to window TopLeft */
	18,9,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&GadgetUp,     /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	11,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

#define FontGadgetList2 FontFontUp

SHORT OutlineVectors3[] = {
	0,0,
	39,0,
	39,69,
	0,69,
	0,0
};
struct Border Outline3 = {
	253, 5,  /* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	OutlineVectors3, /* pointer to XY vectors */
	NULL	/* next border in list */
};

SHORT OutlineVectors2[] = {
	0,0,
	29,0,
	29,69,
	0,69,
	0,0
};
struct Border Outline2 = {
	197, 5,  /* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	OutlineVectors2, /* pointer to XY vectors */
	&Outline3	 /* next border in list */
};

SHORT OutlineVectors1[] = {
	0,0,
	165,0,
	165,69,
	0,69,
	0,0
};
struct Border Outline1 = {
	5, 5,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	OutlineVectors1, /* pointer to XY vectors */
	&Outline2	 /* next border in list */
};

SHORT Fontbordervectors[] = {
	0,0,
	319,0,
	319,99,
	0,99,
	0,0
};
struct Border Fontborder = {
	0, 0,  /* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	Fontbordervectors, /* pointer to XY vectors */
	&Outline1    /* next border in list */
};

struct Requester FontRequesterStructure2 = {
	NULL,	/* previous requester (filled in by Intuition) */
	160,50, /* requester XY origin relative to TopLeft of window */
	320,100,	/* requester width and height */
	0,0,	/* relative to these mouse offsets if POINTREL is set */
	&FontGadgetList2,	/* gadget list */
	&Fontborder,   /* box's border */
	NULL,	/* requester text */
	NOISYREQ,   /* requester flags */
	0,	/* back-plane fill pen */
	NULL,	/* leave these alone */
	NULL,	/* custom bitmap if PREDRAWN is set */
	NULL	/* leave this alone */
};

SHORT AboutBorderVectors3[] = {
	0,0,
	99,0,
	99,25,
	0,25,
	0,0
};
struct Border AboutBorder3 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	AboutBorderVectors3,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText AboutIText8 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	36,8,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"DUH",  /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget AboutGadget5 = {
	NULL,	/* next gadget */
	55,65,	/* origin XY of hit box relative to window TopLeft */
	98,24,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY+ENDGADGET,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&AboutBorder3,    /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&AboutIText8,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

#define AboutGadgetList3 AboutGadget5

struct IntuiText AboutIText13 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	80,43,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"fonts.",       /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct IntuiText AboutIText12 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	20,34,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"This program displays",        /* pointer to text */
	&AboutIText13	/* next IntuiText structure */
};

struct IntuiText AboutIText11 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	8,19,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"Last revision - 07/12/89",     /* pointer to text */
	&AboutIText12	/* next IntuiText structure */
};

struct IntuiText AboutIText10 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	20,10,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"by Arthur Johnson Jr.",        /* pointer to text */
	&AboutIText11	/* next IntuiText structure */
};

struct IntuiText AboutIText9 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	28,2,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"ShowFont 4.0  1989",  /* pointer to text */
	&AboutIText10	/* next IntuiText structure */
};

#define AboutIntuiTextList3 AboutIText9

SHORT Aboutbordervectors[] = {
	0,0,
	207,0,
	207,99,
	0,99,
	0,0
};
struct Border Aboutborder = {
	0, 0,  /* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	Aboutbordervectors, /* pointer to XY vectors */
	NULL	/* next border in list */
};

struct Requester AboutRequesterStructure3 = {
	NULL,	/* previous requester (filled in by Intuition) */
	216,50, /* requester XY origin relative to TopLeft of window */
	208,100,	/* requester width and height */
	0,0,	/* relative to these mouse offsets if POINTREL is set */
	&AboutGadgetList3,	/* gadget list */
	&Aboutborder,	/* box's border */
	&AboutIntuiTextList3,	/* requester text */
	NULL,	/* requester flags */
	0,	/* back-plane fill pen */
	NULL,	/* leave these alone */
	NULL,	/* custom bitmap if PREDRAWN is set */
	NULL	/* leave this alone */
};

SHORT FehBorderVectors4[] = {
	0,0,
	61,0,
	61,21,
	0,21,
	0,0
};
struct Border FehBorder4 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	FehBorderVectors4,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText FehIText14 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	18,6,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"FEH",  /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget FehGadget6 = {
	NULL,	/* next gadget */
	70,25,	/* origin XY of hit box relative to window TopLeft */
	60,20,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY+ENDGADGET,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&FehBorder4,      /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&FehIText14,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

#define FehGadgetList4 FehGadget6

UBYTE errormessage[20];
struct IntuiText FehIText15 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	40,5,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	errormessage,	   /* pointer to text */
	NULL	/* next IntuiText structure */
};

#define FehIntuiTextList4 FehIText15

SHORT Fehbordervectors[] = {
	0,0,
	199,0,
	199,49,
	0,49,
	0,0
};
struct Border Fehborder = {
	0, 0,  /* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	Fehbordervectors, /* pointer to XY vectors */
	NULL	/* next border in list */
};

struct Requester FehRequesterStructure4 = {
	NULL,	/* previous requester (filled in by Intuition) */
	220,75, /* requester XY origin relative to TopLeft of window */
	200,50, /* requester width and height */
	0,0,	/* relative to these mouse offsets if POINTREL is set */
	&FehGadgetList4,	/* gadget list */
	&Fehborder,   /* box's border */
	&FehIntuiTextList4,	/* requester text */
	NULL,	/* requester flags */
	0,	/* back-plane fill pen */
	NULL,	/* leave these alone */
	NULL,	/* custom bitmap if PREDRAWN is set */
	NULL	/* leave this alone */
};

SHORT ScreenBorderVectors5[] = {
	0,0,
	79,0,
	79,12,
	0,12,
	0,0
};
struct Border ScreenBorder5 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	ScreenBorderVectors5,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText ScreenIText16 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	3,2,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"32 colors",    /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget ScreenGadget17 = {
	NULL,	/* next gadget */
	206,72, /* origin XY of hit box relative to window TopLeft */
	78,11,	/* hit box width and height */
	GADGDISABLED,	/* gadget flags */
	RELVERIFY, /* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&ScreenBorder5,   /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&ScreenIText16, /* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	5,   /* user-definable data */
	NULL	   /* pointer to user-definable data */
};

SHORT ScreenBorderVectors6[] = {
	0,0,
	79,0,
	79,12,
	0,12,
	0,0
};
struct Border ScreenBorder6 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	ScreenBorderVectors6,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText ScreenIText17 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	3,2,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"16 colors",    /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget ScreenGadget16 = {
	&ScreenGadget17,	/* next gadget */
	206,56, /* origin XY of hit box relative to window TopLeft */
	78,11,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY, /* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&ScreenBorder6,   /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&ScreenIText17, /* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	4,   /* user-definable data */
	NULL	   /* pointer to user-definable data */
};

SHORT ScreenBorderVectors7[] = {
	0,0,
	79,0,
	79,12,
	0,12,
	0,0
};
struct Border ScreenBorder7 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	ScreenBorderVectors7,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText ScreenIText18 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	3,2,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	" 8 colors",    /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget ScreenGadget15 = {
	&ScreenGadget16,	/* next gadget */
	206,40, /* origin XY of hit box relative to window TopLeft */
	78,11,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY, /* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&ScreenBorder7,   /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&ScreenIText18, /* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	3,   /* user-definable data */
	NULL	   /* pointer to user-definable data */
};

SHORT ScreenBorderVectors8[] = {
	0,0,
	79,0,
	79,12,
	0,12,
	0,0
};
struct Border ScreenBorder8 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	ScreenBorderVectors8,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText ScreenIText19 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	3,2,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	" 4 colors",    /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget ScreenGadget14 = {
	&ScreenGadget15,	/* next gadget */
	206,24, /* origin XY of hit box relative to window TopLeft */
	78,11,	/* hit box width and height */
	SELECTED,	/* gadget flags */
	RELVERIFY, /* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&ScreenBorder8,   /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&ScreenIText19, /* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	2,   /* user-definable data */
	NULL	   /* pointer to user-definable data */
};

SHORT ScreenBorderVectors9[] = {
	0,0,
	79,0,
	79,12,
	0,12,
	0,0
};
struct Border ScreenBorder9 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	ScreenBorderVectors9,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText ScreenIText20 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	3,2,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	" 2 colors",    /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget ScreenGadget13 = {
	&ScreenGadget14,	/* next gadget */
	206,8,	/* origin XY of hit box relative to window TopLeft */
	78,11,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY, /* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&ScreenBorder9,   /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&ScreenIText20, /* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	1,	/* user-definable data */
	NULL	   /* pointer to user-definable data */
};

SHORT ScreenBorderVectors10[] = {
	0,0,
	79,0,
	79,12,
	0,12,
	0,0
};
struct Border ScreenBorder10 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	ScreenBorderVectors10,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText ScreenIText21 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	3,2,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"640 x 400",    /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget ScreenGadget12 = {
	&ScreenGadget13,	/* next gadget */
	16,71,	/* origin XY of hit box relative to window TopLeft */
	78,11,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY, /* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&ScreenBorder10,  /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&ScreenIText21, /* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	14,   /* user-definable data */
	NULL	  /* pointer to user-definable data */
};

SHORT ScreenBorderVectors11[] = {
	0,0,
	79,0,
	79,12,
	0,12,
	0,0
};
struct Border ScreenBorder11 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	ScreenBorderVectors11,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText ScreenIText22 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	3,2,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"640 x 200",    /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget ScreenGadget11 = {
	&ScreenGadget12,	/* next gadget */
	16,50,	/* origin XY of hit box relative to window TopLeft */
	78,11,	/* hit box width and height */
	SELECTED,	/* gadget flags */
	RELVERIFY, /* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&ScreenBorder11,  /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&ScreenIText22, /* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	13,   /* user-definable data */
	NULL	  /* pointer to user-definable data */
};

SHORT ScreenBorderVectors12[] = {
	0,0,
	79,0,
	79,12,
	0,12,
	0,0
};
struct Border ScreenBorder12 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	ScreenBorderVectors12,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText ScreenIText23 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	3,2,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"320 x 400",    /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget ScreenGadget10 = {
	&ScreenGadget11,	/* next gadget */
	16,29,	/* origin XY of hit box relative to window TopLeft */
	78,11,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY, /* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&ScreenBorder12,  /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&ScreenIText23, /* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	12,   /* user-definable data */
	NULL	  /* pointer to user-definable data */
};

SHORT ScreenBorderVectors13[] = {
	0,0,
	79,0,
	79,12,
	0,12,
	0,0
};
struct Border ScreenBorder13 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	ScreenBorderVectors13,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText ScreenIText24 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	3,2,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"320 x 200",    /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget ScreenGadget9 = {
	&ScreenGadget10,	/* next gadget */
	16,8,	/* origin XY of hit box relative to window TopLeft */
	78,11,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY, /* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&ScreenBorder13,  /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&ScreenIText24, /* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	11,   /* user-definable data */
	NULL	  /* pointer to user-definable data */
};

SHORT ScreenBorderVectors14[] = {
	0,0,
	60,0,
	60,16,
	0,16,
	0,0
};
struct Border ScreenBorder14 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	ScreenBorderVectors14,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText ScreenIText25 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,4,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"Cancel",       /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget ScreenCancel = {
	&ScreenGadget9, /* next gadget */
	123,62, /* origin XY of hit box relative to window TopLeft */
	59,15,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY+ENDGADGET,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&ScreenBorder14,  /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&ScreenIText25, /* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	102,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

SHORT ScreenBorderVectors15[] = {
	0,0,
	60,0,
	60,16,
	0,16,
	0,0
};
struct Border ScreenBorder15 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	ScreenBorderVectors15,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText ScreenIText26 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	20,4,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"OK",   /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget ScreenOK = {
	&ScreenCancel,	/* next gadget */
	123,14, /* origin XY of hit box relative to window TopLeft */
	59,15,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY+ENDGADGET,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&ScreenBorder15,  /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&ScreenIText26, /* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	101,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

#define ScreenGadgetList5 ScreenOK

SHORT Screenbordervectors[] = {
	0,0,
	299,0,
	299,89,
	0,89,
	0,0
};
struct Border Screenborder = {
	0, 0,  /* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	Screenbordervectors, /* pointer to XY vectors */
	NULL	/* next border in list */
};

struct Requester ScreenRequesterStructure5 = {
	NULL,	/* previous requester (filled in by Intuition) */
	170,55, /* requester XY origin relative to TopLeft of window */
	300,90, /* requester width and height */
	0,0,	/* relative to these mouse offsets if POINTREL is set */
	&ScreenGadgetList5,	/* gadget list */
	&Screenborder,	 /* box's border */
	NULL,	/* requester text */
	NOISYREQ,   /* requester flags */
	0,	/* back-plane fill pen */
	NULL,	/* leave these alone */
	NULL,	/* custom bitmap if PREDRAWN is set */
	NULL	/* leave this alone */
};

UBYTE DirDirNewDirSIBuff[30];
struct StringInfo DirDirNewDirSInfo = {
	DirDirNewDirSIBuff,	/* buffer where text will be edited */
	NULL,	/* optional undo buffer */
	0,	/* character position in buffer */
	30,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT DirBorderVectors16[] = {
	0,0,
	159,0,
	159,11,
	0,11,
	0,0
};
struct Border DirBorder16 = {
	-2,-2,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	DirBorderVectors16,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct Gadget DirNewDir = {
	NULL,	/* next gadget */
	22,13,	/* origin XY of hit box relative to window TopLeft */
	156,10, /* hit box width and height */
	NULL,	/* gadget flags */
	NULL,	/* activation flags */
	STRGADGET + REQGADGET,	  /* gadget type flags */
	(APTR)&DirBorder16,     /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	(APTR)&DirDirNewDirSInfo,       /* SpecialInfo structure */
	1,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

SHORT DirBorderVectors17[] = {
	0,0,
	60,0,
	60,16,
	0,16,
	0,0
};
struct Border DirBorder17 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	DirBorderVectors17,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText DirIText27 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,4,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"Cancel",       /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget DirCancel = {
	&DirNewDir,	/* next gadget */
	119,28, /* origin XY of hit box relative to window TopLeft */
	59,15,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY+ENDGADGET,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&DirBorder17,     /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&DirIText27,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	102,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

SHORT DirBorderVectors19[] = {
	0,0,
	60,0,
	60,16,
	0,16,
	0,0
};
struct Border DirBorder19 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	DirBorderVectors19,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText DirIText29 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	20,4,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"OK",   /* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget DirOK = {
	&DirCancel,	/* next gadget */
	22,28,	/* origin XY of hit box relative to window TopLeft */
	59,15,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY+ENDGADGET,	/* activation flags */
	BOOLGADGET+REQGADGET,	/* gadget type flags */
	(APTR)&DirBorder19,     /* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&DirIText29,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	101,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

#define DirGadgetList6 DirOK

struct IntuiText DirIText30 = {
	3,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	21,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"New FONTS: dir?",     /* pointer to text */
	NULL	/* next IntuiText structure */
};

#define DirIntuiTextList6 DirIText30

SHORT Dirbordervectors[] = {
	0,0,
	199,0,
	199,49,
	0,49,
	0,0
};
struct Border Dirborder = {
	0, 0,  /* XY origin relative to container TopLeft */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	Dirbordervectors, /* pointer to XY vectors */
	NULL	/* next border in list */
};

struct Requester DirRequesterStructure6 = {
	NULL,	/* previous requester (filled in by Intuition) */
	220,75, /* requester XY origin relative to TopLeft of window */
	200,50, /* requester width and height */
	0,0,	/* relative to these mouse offsets if POINTREL is set */
	&DirGadgetList6,	/* gadget list */
	&Dirborder,   /* box's border */
	&DirIntuiTextList6,	/* requester text */
	NOISYREQ,   /* requester flags */
	0,	/* back-plane fill pen */
	NULL,	/* leave these alone */
	NULL,	/* custom bitmap if PREDRAWN is set */
	NULL	/* leave this alone */
};
